// 获取本地应用资源版本号
function checkVersion(updateType) {
	plus.runtime.getProperty(plus.runtime.appid, function(inf) {
		wgtVer = inf.version;
		checkUpdate(wgtVer, updateType);
	});
}
// 检测更新
function checkUpdate(wgtVer, updateType) {
	//var checkUrl = getversion;
	if(updateType == 2) {
		plus.nativeUI.showWaiting("检测更新...");
	}
	console.log(apk)
	$.get(apk, function(rsp) {
		console.log(JSON.stringify(rsp));
		rsp = rsp.result.apk;
		if(rsp) {
			rsp.app_path = serverUrl + '/' + rsp.app_path;
			plus.nativeUI.closeWaiting(); //关闭弹窗
			if(!rsp.no) {
				if(updateType == 2) {
					$("#msg").text("无可用更新");
				}
				return;
			}
			wgtVer = wgtVer.replace(".", "");
			rsp.no=rsp.no.toString();
			rsp.no = rsp.no.replace(".", "");
			if(wgtVer >= rsp.no) {
				if(updateType == 2) {
					$("#msg").text("已经是最新版本");
				}
				return;
			} else {
				plus.nativeUI.closeWaiting(); //关闭弹窗
				if(updateType == 1) { //updateType 1.代表被动更新 2.用户主动点击
					if(window.confirm("系统检测到新的LOVE版本，现在升级吗?")) {
						//rsp.type 1.增量更新 2. 整包升级
						downWgt(rsp.download, rsp.type, rsp.appdownload);
					}
				}
				if(updateType == 2) {
					if(window.confirm("系统检测到新的LOVE版本，现在升级吗?")) {
						//rsp.type 1.增量更新 2. 整包升级
						downWgt(rsp.app_path, rsp.type, rsp.appdownload);
					}
				}
			}
		}
	});
}

//type 1.增量更新 2. 整包升级
//下载更新文件
function downWgt(wgtUrl, type, app_ios_path) {
	//等待框
	plus.nativeUI.showWaiting("下载更新包文件...");
	plus.downloader.createDownload(wgtUrl, {
		filename: "_doc/update/"
	}, function(d, status) {
		//关闭等待框
		if(status == 200) {
			plus.nativeUI.showWaiting("正在安装更新包文件 请勿关闭...");
			if(type == 1) {
				installWgt(d.filename); // 安装wgt包
			} else {
				installPackage(d.filename, app_ios_path);
			}
		} else {
			//console.log("下载更新包文件失败！");
			plus.nativeUI.showWaiting("下载更新包文件失败！");
		}
		plus.nativeUI.closeWaiting();
	}).start();
}
// 更新应用资源 增量更新
function installWgt(path) {
	plus.runtime.install(path, {}, function() {
		plus.nativeUI.closeWaiting();
		plus.nativeUI.alert("应用资源更新完成！", function() {
			//先关闭所有页面
			var wvs = plus.webview.all();
			for(var i = 0; i < wvs.length; i++) {
				if(plus.webview.currentWebview().id != wvs[i].id) {
					plus.webview.close(wvs[i]);
				}
			}
			plus.runtime.restart();
		});
	}, function(e) {
		plus.nativeUI.closeWaiting();
		plus.nativeUI.alert("安装更新包文件失败[" + e.code + "]：" + e.message);
	});
}
//安装更新包 整包更新
function installPackage(path, app_ios_path) {
	if(mui.os.ios) {
		//	var url='itms-apps://itunes.apple.com/cn/app/hello-h5+/id682211190?l=zh&mt=8';// HelloH5应用在appstore的地址
		plus.nativeUI.alert("前往应用市场 ..");
		var url = app_ios_path;
		plus.runtime.openURL(url);
	} else {
		plus.nativeUI.showWaiting("正在安装更新包文件 请勿关闭...");
		plus.runtime.install(path); // 安装下载的apk文件
		plus.nativeUI.closeWaiting();
	}
}